aiiqq.com Docs
VideosMiniMax Video

取消或删除 MiniMax H3 原生任务

DELETE
/v2/video_generation/{task_id}

使用公开任务 ID及创建时同一 aiiqq.com 令牌。queued 任务可取消且按任务流程退款,取消后仍可查询 cancelled;running 任务不能取消或删除,返回400。succeeded/failed 任务可删除,删除后公开 ID失效;删除成功结果不退还已完成生成费用。网关删除前会查询并结算完成任务。

409需要区分两种情况:尚在结算的任务可先查询,再稍后重试;若删除与上游完成竞态导致最终用量不可恢复,网关进入 RECONCILING并保留预扣等待人工对账,此时不自动退款,也不应盲目反复删除。平台格式尚无取消/删除代理。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Path Parameters

task_id*string

aiiqq.com返回的公开任务 ID;使用创建任务的同一令牌,不能使用供应商内部 ID。

Match^task_.+
Length6 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/video_generation/task_H3_GENERATION_EXAMPLE"

{
  "task_id": "task_H3_GENERATION_EXAMPLE",
  "action": "cancelled",
  "status": "cancelled"
}

{
  "type": "error",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}
{
  "type": "error",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}
{
  "type": "error",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}
{
  "type": "error",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}
{
  "type": "error",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}
{
  "type": "error",
  "error": {
    "type": "string",
    "message": "string",
    "http_code": "string"
  },
  "request_id": "string"
}